Page MenuHomePhabricator

Prepare and check storage layer for api.wikimedia.org
Closed, ResolvedPublic

Description

CPT is intending to launch a new wiki which will act as a developer portal. Ideally, hosted as a wikimedia.org subdomain at api.wikimedia.org

Event Timeline

WDoranWMF triaged this task as High priority.Mar 4 2020, 8:59 PM
WDoranWMF created this task.
WDoranWMF renamed this task from Prepare and check storage layer for developer.wikimedia.org to Prepare and check storage layer for dev.wikimedia.org.Mar 4 2020, 9:16 PM
WDoranWMF updated the task description. (Show Details)
WDoranWMF added subscribers: apaskulin, CCicalese_WMF.

Is this going to be a public wiki? Does it need to be replicated to labs?

Marostegui moved this task from Triage to In progress on the DBA board.Mar 5 2020, 6:31 AM
bd808 changed the task status from Open to Stalled.Mar 5 2020, 6:32 PM
bd808 added a subscriber: bd808.

Marking as stalled per T246945#5943263 in the parent task

WDoranWMF renamed this task from Prepare and check storage layer for dev.wikimedia.org to Prepare and check storage layer for api.wikimedia.org.May 21 2020, 1:02 PM
WDoranWMF updated the task description. (Show Details)

Just a heads-up - The parent task is going to be un-stalled soon hopefully. The wiki will be visible to the public, with some restrictions on edits so I think replicating to WMCS is okay.

@hnowlan can you confirm this wiki has been created? We received an alert of a new wiki database called: apiportalwiki, we need to redact all the private data before we can request the views creation.

@Marostegui confirming that it was created on the 27th.

Marostegui changed the task status from Stalled to Open.Aug 31 2020, 10:54 AM

Thanks - I will work on its sanitization

Database has been sanitized.
apiportalwiki_p has been created on all hosts.
Grants have been added to labsdb1009, 1010, 1011 and 1012

Is it possible to create another user (right now there is only one) so I can confirm that the triggers are working correctly?

This wiki is waiting on apache configuration so users can't be created yet - I'll update when that is set up.

Marostegui changed the task status from Open to Stalled.Aug 31 2020, 2:04 PM
Marostegui moved this task from In progress to Blocked external/Not db team on the DBA board.

Thanks - I will wait for it to confirm our triggers are working fine.

This wiki is now live, user creation should be enabled.

Marostegui changed the task status from Stalled to Open.Sep 7 2020, 10:59 AM
Marostegui removed Marostegui as the assignee of this task.
Marostegui moved this task from Blocked external/Not db team to Done on the DBA board.
Marostegui added subscribers: Bstorm, nskaggs.

Thanks for the heads up @hnowlan - triggers are working fine.
This is ready for cloud-services-team for the views creation on labsdb1009, 1010, 1011 and 1012.

nskaggs claimed this task.Sep 8 2020, 2:32 PM
nskaggs moved this task from Inbox to Clinic Duty on the cloud-services-team (Kanban) board.
nskaggs closed this task as Resolved.Sep 9 2020, 8:56 PM

It seems some of the views were already created, but I double checked things. I believe this should be ready now.